package io.random.messaging; 

import salsa.language.ServiceFactory;

//import wwc.messaging.PersistentMessenger;

import io.core.messaging.PeerTheater;
import io.random.decision.RandomDecisionAgent;
import io.random.messaging.RandomHandler;
import io.random.messaging.RandomProtocolHandler;

public class RandomPeerTheater extends PeerTheater {

	public RandomPeerTheater() {
		super();
	}

	public static void main(String[] args) {
//		ServiceFactory.createFactory(getInstance(), new PersistentMessenger(), null, null);
		ServiceFactory.createFactory(getInstance(), null, null, null);

		getInstance().decider = new RandomDecisionAgent( getInstance() );
		getInstance().ioHandler = new RandomHandler( getInstance() );
		getInstance().protocolHandler = new RandomProtocolHandler( getInstance() );

		getInstance().start(args);
	}
}
